
# app目录介绍

app:.
```
├─config   
├─img
├─lib     
├─pages
│  ├─applications 
│  ├─charts
│  ├─login   
│  ├─myInfo
│  ├─tab   
│  └─tools  
├─scripts         
├─scss       
└─theme
```
* ### I. app\_子目录（列表）

  * 1.1.config\_目录

  * 1.2.img\_目录

  * 1.3.lib\_目录

  * 1.4.pages\_目录

  * 1.5.scripts\_目录

  * 1.4.scss\_目录

  * 1.5.theme\_目录

---

* ### II. app\_子目录（简介）

  *  1.1.config\_目录

    * 存放配置文件
    * `"devConfig.json(开发环境配置文件)`
    * `"appID：应用唯一标识`
    * `"debug": true,(是否能debug)`
    * `"currentVersion": "1.1.22",(当前版本)`
    * `"version": "1.1.22",(版本)`
    * `"appEnvironment": "dev"(当前环境-测试)`
    * `"cardPath":（名片全能王接口路径）`
    * `"apiKey":（名片全能王接口apikey）`
    * `"riskPath":(风暴接口路径)`
    * `"isMobilePlatform":false,(是否是移动平台)`
    * `"clearTable": true,(清除下方table)`
    * `"rootPath":"https://hlsapp.hand-china.com/hmap_dev/"(app 服务器地址)`
    * `"basePath": "https://hlsapp.hand-china.com/hmap_dev/app?sysName=HLS_APP&apiName=",(app中台svc访问路径)`
    * `"file_url":"http://hlsapp.hand-china.com/file/",(app文件访问路径)`
  

    
  * prodConfig.json(正式环境配置文件，参考测试环境的配置属性)
 
 

  * 1.2.img\_目录

    * 项目中图片的存放路径

  * 1.3.lib\_目录

     * 执行 `bower install` 后生成,为项目中使用的js资源

  * 1.4.pages\_目录

    * app前台页面html文件，和js文件  

  * 1.5.scripts\_目录

    * 项目公用js文件       

  * 1.4.scss\_目录

    * 项目的全局样式文件（scss文件）

  * 1.5.theme\_目录

    * 目录中包含一个`app.core.scss`为项目中所有`scss`的集合,项目中所写的`scss`文件需要使用如下写法引入到此文件中，否则不会生效
    ```@import "../scss/variables";```